#ifndef __SPRITE_H__
#define __SPRITE_H__

#include <sps2lib.h>
#include <sps2tags.h>
#include <sps2regstructs.h>
#include <assert.h>
#include "PS2Defines.h"
#include "AddRegisters.h"


class CSquareSprite
{
public:
	CSquareSprite( int xTexture, int yTexture, int widthTexture, int heightTexture);
	~CSquareSprite();

	void CSquareSprite::setPos(int xPos, int yPos);
	void CSquareSprite::setTexturePos(int xTexturePos, int yTexturePos);
	void CSquareSprite::movePos(int xPos, int yPos);
	void CSquareSprite::setVisible(bool isVisible);
	void CSquareSprite::setColor(int Red, int Green, int Blue, int Alpha);

	bool CSquareSprite::getVisible(void);
	int CSquareSprite::getXPos(void);
	int CSquareSprite::getYPos(void);
	int CSquareSprite::getWidth(void);
	int CSquareSprite::getHeight(void);
	bool CSquareSprite::inside(CSquareSprite inSprite);

	void CSquareSprite::addSpriteToGIFTag(char *& pMem, int Zvalue);
	void CSquareSprite::addSprite(char *& pMem, int Zvalue);


private:
	int m_xTexture, m_yTexture;
	int m_widthTexture, m_heightTexture;
	int m_xPos, m_yPos;
	int m_Red, m_Green, m_Blue, m_Alpha;
	int m_xTexturePos, m_yTexturePos;
	bool m_isVisible;
};

#endif